module.exports = function (ruleManager, sentence, result) {

    if (!result || !result.tokenIndices || !sentence || result.tokenIndices.length < 2) {
        console.log("no data");
        return false;
    }

    var token = sentence.tokens[result.tokenIndices[1]];
    if (!token) {
        return false;
    }
    //token.lemma = token.word;
    //token.conditionResults = {};
    //console.log("lemma = "+token.lemma);
    var overload = {
        type: "att",
        object: "token",
        tokenIndices: [result.tokenIndices[1]],
        modifications: {
            "lemma": token.word
        }
    };
    ruleManager.AddOverload(result, overload);
    return true;
}